.frame-type-form_formframework form {
    display: flex;
    flex-direction: column;
    gap: var(--anresis-spacing-7);
    width: 100%;
    max-width: 800px;
    margin-inline: auto;

    h2 {
        display: none;
    }
}

form {
    input,
    textarea,
    select {
        padding: var(--anresis-spacing-1);
        background-color: var(--anresis-color-white-background);
        border: 1px solid var(--anresis-color-grey-3);
        width: 100%;
        font: var(--anresis-font-text);
        color: var(--anresis-color-text);
    }

    select {
        appearance: none;
        background-image: linear-gradient(45deg, transparent 50%, #605b5b 50%), linear-gradient(135deg, #605b5b 50%, transparent 50%);
        background-position: calc(100% - 20px) calc(1em + 2px), calc(100% - 15px) calc(1em + 2px), 100% 0;
        background-size: 6px 6px, 6px 6px, 2.5rem 2.5rem;
        background-repeat: no-repeat;
    }

    textarea {
        min-height: 120px;
    }

    label {
        font: var(--anresis-font-text);
    }

    .form-group {
        display: flex;
        gap: var(--anresis-spacing-7);

        .input {
            width: 100%;
        }

        .form-label {
            width: 180px;
            font-weight: bold;
            font: var(--anresis-font-text);
            color: var(--anresis-color-text);
            white-space: nowrap;
            font-weight: var(--anresis-font-weight-semi-bold);
        }
    }

    @media (max-width: 767px) {
        .form-group {
            gap: var(--anresis-spacing-1);
            flex-direction: column;

            .form-label {
                width: 100%;
            }
        }
    }

    [type="submit"] {
        text-transform: uppercase;
        background-color: var(--anresis-color-primary-background);

        display: inline-flex;
        gap: var(--anresis-spacing-3);
        font: var(--anresis-font-button);
        color: var(--anresis-color-white-text);
        padding: var(--anresis-spacing-4) var(--anresis-spacing-6);
        text-decoration: none;
        cursor: pointer;
        min-width: 150px;
        justify-content: center;
        align-items: center;
        border: 1px solid transparent;
    }
    
    /* Switch */
    .switch {
        position: relative;
        display: flex;
        align-items: center;
        width: min-content;
        gap: var(--anresis-spacing-4);
    }

    /* Hide default HTML checkbox */
    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
        display: none;
    }

    /* The slider */
    .slider {
        cursor: pointer;
        width: 60px;
        height: 34px;
        background-color: var(--anresis-color-grey-6);;
        position: relative;
        transition: .4s;
    }

    .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 4px;
        bottom: 4px;
        background-color: var(--anresis-color-primary-background);
        transition: .4s;
    }

    input:checked + .slider:before {
        transform: translateX(26px);

    }
}
